<?xml version="1.0" encoding="utf-8"?>
<configuration>
  <!-- 连接字符串 -->
  <connectionStrings>
    <add name="GBLab" connectionString="" providerName="mssql" />
  </connectionStrings>
  <!--<connectionStrings configSource="App_Config\ConnectionStrings.config" />-->
  <!-- 系统配置 -->
  <appSettings configSource="App_Config\AppSettings.config" />
  <system.web>
    <pages validateRequest="false" />
    <!-- httpHandlers -->
    <httpHandlers>
      <remove verb="*" path="*.asmx" />
      <add verb="*" path="*.asmx" validate="false" type="System.Web.Script.Services.ScriptHandlerFactory, System.Web.Extensions, Version=3.5.0.0, Culture=neutral, PublicKeyToken=31BF3856AD364E35" />
      <add verb="*" path="*_AppService.axd" validate="false" type="System.Web.Script.Services.ScriptHandlerFactory, System.Web.Extensions, Version=3.5.0.0, Culture=neutral, PublicKeyToken=31BF3856AD364E35" />
      <add verb="GET,HEAD" path="ScriptResource.axd" type="System.Web.Handlers.ScriptResourceHandler, System.Web.Extensions, Version=3.5.0.0, Culture=neutral, PublicKeyToken=31BF3856AD364E35" validate="false" />
    </httpHandlers>
    <!-- httpModules -->
    <httpModules>
      <add name="ScriptModule" type="System.Web.Handlers.ScriptModule, System.Web.Extensions, Version=3.5.0.0, Culture=neutral, PublicKeyToken=31BF3856AD364E35" />
      <add name="UrlRoutingModule" type="System.Web.Routing.UrlRoutingModule, System.Web.Routing, Version=3.5.0.0, Culture=neutral, PublicKeyToken=31BF3856AD364E35" />
      <!--全局错误处理模块-->
      <add name="ErrorModule" type="NewLife.Web.ErrorModule,GBLab.Core" />
      <!--压缩模块，用于压缩aspx页面，axd资源，css和js等-->
      <add name="CompressionModule" type="NewLife.Web.CompressionModule,GBLab.Core" />
      <!--页面执行时间模块，用于在页面中输出页面执行时间和查询执行次数-->
      <add name="DbRunTimeModule" type="XCode.Web.DbRunTimeModule,XCode" />
      <add name="ApplicationInsightsWebTracking" type="Microsoft.ApplicationInsights.Web.ApplicationInsightsHttpModule, Microsoft.AI.Web" />
      <remove name="FormsAuthentication" />
      <remove name="ApplicationInsightsWebTracking" />
      <add name="ApplicationInsightsWebTracking" type="Microsoft.ApplicationInsights.Web.ApplicationInsightsHttpModule, Microsoft.AI.Web" preCondition="managedHandler" />
    </httpModules>
    <!--系统默认语言-->
    <globalization culture="zh-CN" uiCulture="zh-CN" />
    <compilation targetFramework="4.5.2" />
    <!-- 上传配置 -->
    <httpRuntime enableVersionHeader="false" maxRequestLength="300000000" executionTimeout="50000" requestValidationMode="2.0" />
    <!-- 上传配置 -->
    <!--RemoteOnly 异常配置-->
    <!--资源不可用 403-->
    <!--找不到页面 404-->
    <!--异常处理   500-->
    <customErrors mode="RemoteOnly" defaultRedirect="~/App_Config/ErrorPages/GeneralError.htm">
      <error statusCode="403" redirect="~/App_Config/ErrorPages/GeneralError.htm" />
      <error statusCode="404" redirect="~/App_Config/ErrorPages/FileNotFound.htm" />
      <error statusCode="500" redirect="~/App_Config/ErrorPages/GeneralError.htm" />
    </customErrors>
    <!--RemoteOnly 异常配置-->
    <!--Cahce 缓存配置 BEGIN-->
    <caching>
      <outputCacheSettings>
        <outputCacheProfiles>
          <!-- Cache_Basic 分钟 -->
          <add name="Cache_Minute_10" duration="7200" enabled="true" location="Any" varyByParam="none" varyByCustom="web" varyByHeader="none" />
          <!-- Cache_Basic 小时 -->
          <add name="Cache_Hour_1" duration="7200" enabled="true" location="Any" varyByParam="none" varyByCustom="web" varyByHeader="none" />
          <add name="Cache_Hour_6" duration="7200" enabled="true" location="Any" varyByParam="none" varyByCustom="web" varyByHeader="none" />
          <!-- Cache_Basic 天 -->
          <add name="Cache_Day_1" duration="7200" enabled="true" location="Any" varyByParam="none" varyByCustom="web" varyByHeader="none" />
          <add name="Cache_Day_6" duration="7200" enabled="true" location="Any" varyByParam="none" varyByCustom="web" varyByHeader="none" />
          <!-- Cache_Basic 基础缓存 默认1小时 -->
          <add name="Cache_Basic" duration="7200" enabled="true" location="Any" varyByParam="none" varyByCustom="web" varyByHeader="none" />
        </outputCacheProfiles>
      </outputCacheSettings>
    </caching>
    <!--Cahce 缓存配置 BEGIN-->
  </system.web>
  <system.webServer>
    <httpErrors errorMode="Custom" existingResponse="Replace">
      <clear />
      <error statusCode="404" path="App_Error\404.html" />
      <error statusCode="500" path="App_Error\500.html" />
    </httpErrors>
    <httpProtocol>
      <customHeaders>
        <remove name="X-Powered-By" />
      </customHeaders>
    </httpProtocol>
    <validation validateIntegratedModeConfiguration="false" />
    <modules runAllManagedModulesForAllRequests="true" />
  </system.webServer>
  <!-- 系统DLL文件配置 -->
  <runtime>
    <assemblyBinding xmlns="urn:schemas-microsoft-com:asm.v1">
      <dependentAssembly>
        <assemblyIdentity name="Microsoft.Owin.Security" publicKeyToken="31bf3856ad364e35" />
        <bindingRedirect oldVersion="0.0.0.0-3.0.1.0" newVersion="3.0.1.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="Microsoft.Owin.Security.OAuth" publicKeyToken="31bf3856ad364e35" />
        <bindingRedirect oldVersion="0.0.0.0-3.0.1.0" newVersion="3.0.1.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="Microsoft.Owin.Security.Cookies" publicKeyToken="31bf3856ad364e35" />
        <bindingRedirect oldVersion="0.0.0.0-3.0.1.0" newVersion="3.0.1.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="Microsoft.Owin" publicKeyToken="31bf3856ad364e35" />
        <bindingRedirect oldVersion="0.0.0.0-3.0.1.0" newVersion="3.0.1.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="Newtonsoft.Json" culture="neutral" publicKeyToken="30ad4fe6b2a6aeed" />
        <bindingRedirect oldVersion="0.0.0.0-12.0.0.0" newVersion="12.0.0.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="System.Web.Optimization" publicKeyToken="31bf3856ad364e35" />
        <bindingRedirect oldVersion="1.0.0.0-1.1.0.0" newVersion="1.1.0.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="WebGrease" publicKeyToken="31bf3856ad364e35" />
        <bindingRedirect oldVersion="0.0.0.0-1.5.2.14234" newVersion="1.5.2.14234" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="System.Web.Helpers" publicKeyToken="31bf3856ad364e35" />
        <bindingRedirect oldVersion="1.0.0.0-3.0.0.0" newVersion="3.0.0.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="System.Web.WebPages" publicKeyToken="31bf3856ad364e35" />
        <bindingRedirect oldVersion="0.0.0.0-3.0.0.0" newVersion="3.0.0.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="System.Web.Razor" publicKeyToken="31bf3856ad364e35" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-3.0.0.0" newVersion="3.0.0.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="System.Web.WebPages.Razor" publicKeyToken="31bf3856ad364e35" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-3.0.0.0" newVersion="3.0.0.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="System.Web.Mvc" publicKeyToken="31bf3856ad364e35" />
        <bindingRedirect oldVersion="1.0.0.0-5.2.3.0" newVersion="5.2.3.0" />
      </dependentAssembly>
    </assemblyBinding>
  </runtime>
  <!-- 系统DLL文件配置 -->
</configuration>
<!--ProjectGuid: B37A97DB-44F1-4435-A5BC-F8F7595807D5-->